LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Wireless Networking (http://www.linuxquestions.org/questions/linux-wireless-networking-41/)
-   -   Installation problem: Ns2.29 (http://www.linuxquestions.org/questions/linux-wireless-networking-41/installation-problem-ns2-29-a-4175457109/)

Aska123 04-06-2013 06:28 AM

Installation problem: Ns2.29
 
when I install Ns2.29 on fedora 9.0.

I got error , make command not found.

what to do?

knudfl 04-06-2013 06:47 AM

First :
Fedora 9 is very old, and you will have to replace the files in /etc/yum.repos.d/
with this new "fedora9.repo" ( The example is for a 32bits OS ) :
Code:

[fedora9]
name=Fedora9-i386
baseurl=http://download.fedora.redhat.com/pub/archive/fedora/linux/releases/9/Everything/i386/os/
enabled=1
gpgcheck=1

[fc9-updates]
name=Fedora9-updates-i386-newkey
baseurl=http://download.fedora.redhat.com/pub/archive/fedora/linux/updates/9/i386.newkey/
enabled=1
gpgcheck=1

Then you can do : # yum install \
gcc-c++ compat-gcc-34-c++ make automake autoconf libtool libX11-devel \
libXext-devel libXau-devel libXmu-devel xorg-x11-proto-devel


ns-2.29 :
tar xvf ns-allinone-2.29.3.tar.gz
cd ns-allinone-2.29/
export CC=gcc34 CXX=g++34 && ./install

-

Aska123 04-06-2013 08:05 AM

Intallation error of Ns2.29 on cygwin
 
2 Attachment(s)
when I tried to install 2.29 on cygwin. I got follwing error. image is attached.

How to remove this error. I tired of installing Ns2.29.

knudfl 04-06-2013 08:20 AM

# 3.

Then better use Fedora 9 :
More predictable. And tested OK with all versions of ns2.

Aska123 04-06-2013 08:30 AM

Quote:

Originally Posted by knudfl (Post 4926255)
# 3.

Then better use Fedora 9 :
More predictable. And tested OK with all versions of ns2.

Thanks


All times are GMT -5. The time now is 12:14 AM.